Performancing Metrics

Saturday, July 29, 2017

File and Layer Sort Problem

Have you ever had a problem with your layers or files not being listed in alphabetical order?

When you come across this problem, the solution is found in the system variable MAXSORT.

MAXSORT sets the maximum number of files, layers or block names that are sorted. If the total number of items exceeds this value, no items are sorted.

The default value (in the version I’m currently using) is 1000. This may vary across versions. I found out about this variable several years ago when I exceeded the set value (I’m pretty sure the default was much lower at the time) and my files would not sort. I had several hundred files and it was driving me crazy attempting to locate the file I wanted.

These days, with such a high default value, most people may never encounter any problems. But in the event that the default gets changed, you will know what to do.

You may also want to change the value on a colleague’s computer as a prank, and after seeing them suffer for a little while, go and save the day with your infinite wisdom. This is especially fun with the office know-it-all. Let me know how that goes if you choose to try it.

Hope you find this tip helpful. Please let me know how I can help you be more productive and feel free to forward this email to your friends and colleagues.

Mike

 

If you found this post helpful, do my a favor and please press the Facebook “like” button below. 

Comments

7 Responses to “File and Layer Sort Problem”
  1. Chajski Zbigniew says:

    Przykro,ale nie znam angielskiego!
    Pozdrawiam.

  2. which (according to http://translate.google.com) means “But I do not know English!” in Polish.
    My response is: przetłumaczyć używając http://translate.google.com

  3. cesar says:

    Thank you so much for the info.
    It is very helpful !!

  4. nafees memon says:

    please send me more short keys of autocad

  5. Richard Dynka says:

    Mike,
    Keep up the great job. I really enjoy receiving your tips.
    Regards,
    Richard

  6. Alianda says:

    I really wanted basic in auto cad i am still learning.

  7. Jim says:

    Great idea, try this one for a layer lock/unlock toggle when working in busy drawings. Its easier than ruffling through toolbars and layer names when locking and unlocking.
    (defun c:lk () (setq lyr_obj (cadr (entsel “\nselect object on layer to lock/unlock: “))
    lyr_ent (entget (ssname (ssget lyr_obj) 0))
    obj_lay (cdr (assoc 8 lyr_ent))
    )
    (setq tst_ste (cdr (assoc 70 (tblsearch “layer” obj_lay))))
    (if (= tst_ste 0)(command “-layer” “lo” obj_lay “”))
    (if (= tst_ste 4)(command “-layer” “un” obj_lay “”))
    )

    2 letter alias for your commands is the way to go. I toggle many features such as ribbon, c-hair angle, ucs, properties, etc.

    To add my complete alias file, request to ‘bdesign71@yahoo.ca

    Have fun autocadders, Jim

Speak Your Mind

Tell us what you're thinking...
and oh, if you want a pic to show with your comment, go get a gravatar!

What is 9 + 4 ?
Please leave these two fields as-is:
IMPORTANT! To be able to proceed, you need to solve the following simple math (so we know that you are a human) :-)